"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _rules = _interopRequireDefault(require("./rules"));

var _system = _interopRequireDefault(require("../system"));

var _utils = require("../utils");

var renderer = function renderer(applySystem) {
  return function System(_ref) {
    var className = _ref.className,
        innerRef = _ref.innerRef,
        passedProps = (0, _objectWithoutProperties2.default)(_ref, ["className", "innerRef"]);

    var _applySystem = applySystem(passedProps),
        _applySystem2 = (0, _slicedToArray2.default)(_applySystem, 3),
        Component = _applySystem2[0],
        classNames = _applySystem2[1],
        props = _applySystem2[2];

    return _react.default.createElement(Component, (0, _objectSpread2.default)({}, props, {
      ref: innerRef,
      className: _utils.cs.apply(void 0, [className].concat((0, _toConsumableArray2.default)(classNames)))
    }));
  };
};

var _default = (0, _system.default)(renderer)(_rules.default);

exports.default = _default;
//# sourceMappingURL=react.js.map